class Map < ActiveRecord::Base

	#Values to populate drop down box for the distance to search from the zip code
    DIST = [ [ 'Select...', '0'], [ '1 mile', '1'], ['5 miles', '5'], ['10 miles', '10'], ['20 miles','20'] ]

	#helper function to check whether a particular checkbox was checked or not
	def self.check_selections(filter)
		
		if filter
			return true
		else
			return false
		end
		
	end

	def self.get_locations(locations)
		markers = []
		side_bar_html = "<table>"
		i = 0
		while (i < locations.size) do

			#general information tab
			info = ""
			info += "<h4> #{locations[i].name_1} </h4>"
			info += "#{locations[i].address_1} <br /> #{locations[i].address_2} <br /><br />"
			#info += "<div style=\"overflow: auto; width: 430px; height: 170px;\">#{locations[i].description}</div>"

			#contact tab
			contact = ""
			contact += "<b>phone number:</b> #{locations[i].phone} <br /> " unless locations[i].phone.blank?
			contact += "<b>fax number:</b> #{locations[i].fax} <br /> " unless locations[i].fax.blank?
			contact += "<b>website:</b> <a href=\"http://#{locations[i].website}\" target=\"_blank\"> click here </a> </p>" unless locations[i].website.blank?

			#services offered tab
			services = ""
			services += "#{locations[i].category_1} <br /><br />"
			services += "#{locations[i].category_2}"

			#directions tab
			directions = ""
		    directions += "Get directions to this facility from Google Transit:<br /><br />"
			directions += "<div>"
			directions += "<form action=\"http://maps.google.com/maps\" method=\"get\" target=\"_blank\">"
			directions += "<input type=\"text\" class=\"text\" name=\"saddr\" value=\"[enter your street address, city, zip]\" style=\"color: #969696\" size=\"58\" onFocus=\"clearField(this)\" />&nbsp;"
			directions += "<input type=\"hidden\" name=\"daddr\" value=\"#{locations[i].address_1}, #{locations[i].city}, #{locations[i].zip}\" />"
			directions += "<br /><br /><input type=\"submit\" value=\"Get Directions\" />"
			directions += "</form>"
			directions += "</div>"

			#payment coverage tab
			payment = ""

			#headings for the tabs for the marker bubble
			tab1 = GInfoWindowTab.new("General", "#{info}")
			tab2 = GInfoWindowTab.new("Directions", "#{directions}")
			tab3 = GInfoWindowTab.new("Contact", "#{contact}")
			tab4 = GInfoWindowTab.new("Services", "#{services}")
			tab5 = GInfoWindowTab.new("Coverage", "#{payment}")
			window_tabs = [tab1, tab2, tab3, tab4, tab5]

			marker = GMarker.new([ locations[i].latitude,locations[i].longitude ],:title => "#{locations[i].category_1}", :info_window_tabs => window_tabs)
			markers << marker
		
			#entry in the side bar
			if locations[i].name_2.blank?
				side_bar_html += "<tr><td width=\"100%\"><a href=\"\" onclick=\"myGroup.showMarker(#{i+1});return false;\" class=\"menulink\"> #{locations[i].name_1} </a></tr></td>"
			else
				side_bar_html += "<tr><td width=\"100%\"><a href=\"\" onclick=\"myGroup.showMarker(#{i+1});return false;\" class=\"menulink\"> #{locations[i].name_1} - #{locations[i].name_2} </a></tr></td>"
			end

			i += 1

		end

		side_bar_html += "</table>"

		return [markers,side_bar_html]
	end

end

